﻿@model LoyaltyPointEngine.Model.Parameter.Redeem.SubmitRedeemParameterCMSModel
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Redeem</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Add Redeem</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Redeem.Add(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddRedeem" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Member <span class="required">*</span></label>
                        <div class="col-md-6">
                            @Html.HiddenFor(x => x.MemberID)
                            @Html.TextBoxFor(x => x.MemberName, new { @class = "form-control", @readonly = "", @required = "" })
                        </div>
                        <button type="button" class="col-md-3 btn btn-primary" data-toggle="modal" data-target="#memberModal" data-whatever="lala">Select Member</button>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">TransactionCode <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.TransactionCode, new { @class = "form-control", @required = "" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Transaction Date <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.StrTransactionDate, new { @class = "form-control datepicker", @required = "" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Point<span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Point, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>

<div class="modal fade" id="memberModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" style="width: auto !important" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">Select Member</h4>
            </div>
            <div class="modal-body">
                @Html.Action("GridGetSelectMemberPager", "Member", new { page = 1 })
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

@section FooterScript{
    <script>

    @*(function () {
        var gridName = 'GridSelectMember';
        var pagingUrl = '@Url.Action(MVC.Member.GridGetSelectMemberPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachMember')
            });
        }())*@

        //function ini dipanggil sama popup Member
        function SelectMember(MemberID, MemberName) {
            $('#MemberID').val(MemberID);
            $('#MemberName').val(MemberName);
            $('#memberModal').modal('hide');
        };

        $(document).ready(function () {
            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())
            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });
            $("#formAddRedeem").validate();

            function LoadGridFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('div#memberModal .modal-body').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions();
                            }
                        })
                    }
                }

                $('#grid-select-member div.grid-header-title > a, #grid-select-member .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('form[name=grid-select-member-form]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    HideLoader();
                    var dataUrl = decodeURIComponent($(this).find('[type=hidden][name=rawDataUrl]').val()).replace('@@search@@', $(this).find('[type=text][name=txtSearch]').val());
                    LoadData(dataUrl);
                })
            }
            LoadGridFunctions();
        });
    </script>
}